HeadRule (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.headrules
Class HeadRule

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<PrioList>
                  org.maltparser.core.syntaxgraph.headrules.HeadRule

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<PrioList>, Collection<PrioList>, List<PrioList>, RandomAccess

    public class HeadRule

extends ArrayList<PrioList>

Author:
  Johan Hall
See Also:
  Serialized Form

Field Summary
`protected Direction` | `defaultDirection`
`protected HeadRules` | `headRules`
`static long` | `serialVersionUID`
`protected int` | `symbolCode`
`protected SymbolTable` | `table`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`HeadRule(HeadRules headRules, String ruleSpec)`

Method Summary
`DataFormatInstance` | `getDataFormatInstance()`
`Direction` | `getDefaultDirection()`
`PhraseStructureNode` | `getHeadChild(NonTerminalNode nt)`
`org.apache.log4j.Logger` | `getLogger()`
`int` | `getSymbolCode()`
`String` | `getSymbolString()`
`SymbolTable` | `getTable()`
`void` | `init(String ruleSpec)`
`void` | `setDefaultDirection(Direction direction)`
`void` | `setHeadRules(HeadRules headRules)`
`void` | `setSymbolCode(int symbolCode)`
`void` | `setTable(SymbolTable table)`
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### headRules

    protected HeadRules headRules

### table

    protected SymbolTable table

### symbolCode

    protected int symbolCode

### defaultDirection

    protected Direction defaultDirection

Constructor Detail

### HeadRule

    public HeadRule(HeadRules headRules,
                    String ruleSpec)
             throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### init

    public void init(String ruleSpec)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadChild

    public PhraseStructureNode getHeadChild(NonTerminalNode nt)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getTable

    public SymbolTable getTable()

### setTable

    public void setTable(SymbolTable table)

### getSymbolCode

    public int getSymbolCode()

### setSymbolCode

    public void setSymbolCode(int symbolCode)

### getSymbolString

    public String getSymbolString()
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDefaultDirection

    public Direction getDefaultDirection()

### setDefaultDirection

    public void setDefaultDirection(Direction direction)

### getLogger

    public org.apache.log4j.Logger getLogger()

### setHeadRules

    public void setHeadRules(HeadRules headRules)

### getDataFormatInstance

    public DataFormatInstance getDataFormatInstance()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<PrioList>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.